String formHTML = "<html><head><title>Bild-Fernsteuerung</title><style>body {padding:10%;margin:0px;border:0px;height:100%;width:100%;}#b1 {height:40%;width:80%;}#b2 {height:40%;width:80%;}div {background-color: lightgrey;border: 1px solid black;}a {color: black;text-decoration: none;}</style></head><body style='position:fixed;'><a href='http://192.168.4.1/beidean'><div id='b1'><center><h1>LEDs on</h1></center></div></a><a href='http://192.168.4.1/beideaus'><div id='b2'><center><h1>LEDs off</h1></center></div></a></body></html>";


//Wifi settings
const char* STAssid = "existing-network-ssid";
const char* STApassword = "password";

const char* APssid = "network-ssid-to-create";
const char* APpassword = "password";

ESP8266WebServer server(80);


void setupWiFi(){
  ConnectToWifi();

  MakeWiFi();
}

void loopWiFi(){
  server.handleClient();
}




void MakeWiFi(){

  if(useSerial) Serial.println("Configuring access point...");
  WiFi.softAP(APssid, APpassword);

  IPAddress myAPIP = WiFi.softAPIP();
  if(useSerial) Serial.print("AP IP address: ");
  if(useSerial) Serial.println(myAPIP);

  server.on("/beidean", handleBeidean);
  server.on("/beideaus", handleBeideaus);
  server.onNotFound(handleRoot);
  server.begin();
  if(useSerial) Serial.println("HTTP server started");
}


void handleRoot() {
  if(useSerial) Serial.println("New HTTP request! (root)");
  server.send(200, "text/html", formHTML);
}
void handleBeidean() {
  if(useSerial) Serial.println("New HTTP request! (Beidean)");
  server.send(200, "text/html", formHTML);

  digitalWrite(led1, HIGH);
  digitalWrite(led2, HIGH);
}
void handleBeideaus(){
  if(useSerial) Serial.println("New HTTP request! (Beideaus)");
  server.send(200, "text/html", formHTML);

  digitalWrite(led1, LOW);
  digitalWrite(led2, LOW);
}





// connect to wifi – returns true if successful or false if not
boolean ConnectToWifi(void){
  boolean state = true;
  int i = 0;

  WiFi.mode(WIFI_AP_STA);

  WiFi.begin(STAssid, STApassword);
  Serial.println("");
  Serial.println("Connecting to WiFi");
  
  // Wait for connection
  Serial.print("Connecting");
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
    if (i > 20){
      state = false;
      break;
    }
    i++;
  }
  if (state) {
    Serial.println("");
    Serial.print("Connected to ");
    Serial.println(STAssid);
    Serial.print("STA IP address: ");
    Serial.println(WiFi.localIP());
  } else {
    Serial.println("");
    Serial.println("Connection failed.");
  }
  
  return state;
}
