/*
Programm zur Ansteuerung von zwei LEDs über ArtNet und eine Webseite, 
die über das eigene WLAN erreichbar ist.

*/
#if defined(ARDUINO_ARCH_ESP32)
#include <WiFi.h>
#else
#include <ESP8266WiFi.h>
#endif
#include <WiFiUdp.h>
#include <ArtnetWifi.h>
#include <ESP8266WebServer.h>

#define useSerial true
#define dumpArtNet false


WiFiUDP UdpSend;
ArtnetWifi artnet;


#define led1 0
#define led2 2




void setup(){
  // set-up serial for debug output
  if(useSerial) Serial.begin(115200);
  setupWiFi();

  // this will be called for each packet received
  artnet.setArtDmxCallback(onDmxFrame);
  artnet.begin();
  
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
}


void loop(){
  // we call the read function inside the loop
  artnet.read();
  loopWiFi();
}






void onDmxFrame(uint16_t universe, uint16_t length, uint8_t sequence, uint8_t* data){
  boolean tail = false;
  
  if(useSerial && dumpArtNet){
    Serial.print("DMX: Univ: ");
    Serial.print(universe, DEC);
    Serial.print(", Seq: ");
    Serial.print(sequence, DEC);
    Serial.print(", Data (");
    Serial.print(length, DEC);
    Serial.print(") ");
    Serial.print(data[0], DEC);
    Serial.print(" ");
    Serial.print(data[1], DEC);
    Serial.println();
  }
  
  if(universe == 1){
    analogWrite(led1, data[0]);
    analogWrite(led2, data[1]);
  }
  
}






